function map = report_called_functions(demoname, map, final)
    [fList,~] = matlab.codetools.requiredFilesAndProducts(demoname,'toponly');
    n = size(fList,2);
    
    disp(['------------------', demoname, '-------------------']);
    for i = 1 : n
        fun = regexp(fList{i}, [filesep, '\w*.m$'], 'match');
        fun = fun{1};
        l = size(fun, 2);
        if ~strcmp(fun(2 : l - 2), demoname) && ~strcmp(fun(2 : l), demoname)
            disp(fun);
            map = record_funs(map, fun);
        end
    end
    
    if final == 1
        disp(['-------------Summary----------------']);
        report_record(map);
    end
end


function map = record_funs(map, funcname)
    if map.isKey(funcname)
        map(funcname) = map(funcname) + 1;
    else
        map(funcname) = 1;
    end
end

function report_record(map)
    list = keys(map);
    for i = list
        disp([i{1}, ' is called for ', num2str(map(i{1})), ' times']);
    end
end