function answer = get_murphylab_image_collections()
%GET_MURPHYLAB_IMAGE_COLLECTIONS Helper function that downloads Murphy
%Lab's image collections used by CellOrganizer

% Author: Ivan E. Cao-Berg
%
% Copyright (C) 2015-2016 Murphy Lab
% Lane Center for Computational Biology
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

[ path, file, extension ] = fileparts( which(mfilename) );
cd( path )
clear path file extension

if ~exist( '.succesfully_downloaded_images' )
    disp( 'Downloading image collection' )
    tarball = 'cellorganizer_full_image_collection.zip';
    url = 'http://murphylab.web.cmu.edu/data/Hela/3D/multitiff';
    if ~exist( [pwd filesep tarball] )
        disp('Downloading dataset');
        urlwrite([url '/' tarball], tarball);
    end
    
    disp('Extracting files');
    unzip( tarball );
    delete( tarball );
    fclose(fopen('.succesfully_downloaded_images', 'w'));
end