function answer = is_superid_valid( superid )
%IS_SUPERID_VALID Verifies if superid is valid

% Copyright (C) 2007-2014 Murphy Lab
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

answer = false;
if ~isa( superid, 'char' )
    error( 'Input argument superid must be a string.' );
end

if findstr( superid, 'unknown' )
	warning( 'Some parameters needed to build the superid are missing. This superid is not valid.' );
    return
end

answer=true;

end%is_superid_valid()