function [ model ] = param2model(cell_params, options)
%turns a bunch of per-cell-parameterizations into a model of a distribution
%over these parameters
%
%grj 6/22/15


if ~exist('options', 'var')
    options = [];
end

%inital options struct
options = ml_initparam(options, struct());

if ~isfield(options,'dimensionality')
    error('No dimensionality specified')
end


switch options.dimensionality
    case '2D'
        %do 2D preprocessing
        model = param2model_2D(cell_params, options);
    case '3D'
        %do 3D preprocessing
        model = param2model_3D(cell_params, options);
    otherwise 
        disp(['Unsupported dimensionality ' options.dimensionality '. Returning empty model.'])
        model = [];
end

if isempty(model)
    warning('Model is empty.');
    return
end

model.dimensionality = options.dimensionality;
end

